Bug 108616 - RHEL4 (IPF): Support for Additional function in Intel's Monticeto processor (HW)
RHEL4 (IPF): Support for Additional function in Intel's Monticeto processor (HW)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Geoff Gustafson
IT_28884
Kernel
: MoveUpstream
: 108806 (view as bug list)
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2003-10-30 13:28 EST by Matt Webbink
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Webbink 2003-10-30 13:28:56 EST
Support for Monticeto and Arches

Intel is making changes for Montecito, and HP may have additional changes once
we learn more about this new CPU (e.g.  enhancements to MCA handling).

At this time, we are not aware of any changes required, beyond the changes  that
Intel has already submitted into kernel.org (support for  new instructions in
Montecito).  Also, there *may* need to be  changes to the toolchain (gcc,
assembler, etc.) to accomodate  the new instructions.

HP LOSL has just started an investgiation of Arches, and we will have more
detail by January 2004 on the impact to  Linux to support Arches.  At this time
we know that we will  need to provide support for HPET and async clocks - we are
 currently working on this and the code will go into 2.6.
Comment 2 Susan Denham 2003-11-02 07:15:46 EST
Montecito is Intel's dual-core, dual- and multiprocessor follow-on to the
Madison 9n processor.  Due early 2005.  Has larger caches than Madison, plus 9nm
technologies.   
Comment 3 Susan Denham 2003-11-04 17:32:02 EST
Conditionally accept if patches are upstream by May (A2).
Comment 4 Susan Denham 2003-12-10 14:38:16 EST
HP will provide patches upstream for Arches by April 1; hardware as well
(Montecito and Arches) by April 1.
Comment 5 dff 2003-12-16 12:27:25 EST
SUBMIT_UPSTREAM for the code part, leaving open as NEEDINFO due to the
requirement for hardware.
Comment 6 Susan Denham 2004-02-19 15:54:57 EST
HP-IPF is currently evaluating schema to see whether any o/s changes need to be
submitted upstream; to date, none is identified.  Hardware (functional
prototypes) (Montecito is the processor; Arches is the I/O chipset) now
scheduled to be available to RH in April.  Production protos to RH by early
June; final systems to RH by August.  (They'll replace the functional and
production protos when final production systems out.)
Comment 7 Susan Denham 2004-02-19 16:14:09 EST
*** Bug 108806 has been marked as a duplicate of this bug. ***
Comment 8 Susan Denham 2004-03-10 16:07:21 EST
Update to this:  Charline checking dates on when functional prototypes will be
available.   Was supposed to be April.
Comment 9 Larry Troan 2004-04-15 17:52:16 EDT
FROM HP-IPF:
> ISSUE #28884 Support for Montecito and Arches:  Intel is 
> making changes for Montecito, and HP may have additional 
> changes once we learn more about this new CPU (e.g. 
> enhancements to MCA handling).   Including support for HPET 
> and async clocks Yes, on Arches support (that we know of to-date)
No on HPET.  Code complete, but waiting on Intel to validate ia32 issues before
going into 2.6.  HP would still like to get this into RHEL 4.

HARDWARE DEADLINE was 4/01. Per above, Charline checking dates on when
functional prototypes will be available. 
Comment 10 Robert Perkins 2004-05-25 10:41:15 EDT
 Wasn't specified in time.  Won't commit to do this for RHEL4.   They have
missed the deadline for  RHEL4.    Systems may work with RHEL4, but we can't
guarantee it at this point, nor will it be a fully-supported configuration.


Comment 12 Larry Troan 2004-06-01 10:16:09 EDT
Splitting this out into two FZ's.
* Arches hardware won't be available until 2Q2005 so new FZ created 
  with target RHEL4_U1. 
* Montecito support is in U1 and will be base RHEL4. (this FZ)
  - Leaving this CLOSED-DEFERRED in case any new Monticeto fucntion
    is being requested per comment #11 above.
Comment 13 Larry Troan 2004-06-01 10:26:48 EDT
Arches FZ is Bug 124923
Comment 14 Larry Troan 2004-06-01 10:41:28 EDT
Base Montecito support shipped in RHEL3 U1 and will be in the RHEL4 base.

If HP identifies additional support based on Intel's Monticeto changes and
provides hardware, RH will make a best effort to incorporate these changes into
RHEL4. However, if there are significant kernel updates required, they will need
to wait for RHEL4 U1.
Comment 15 Marty Wesley 2005-05-26 03:00:27 EDT
PM ACK for U2.
Comment 26 Red Hat Bugzilla 2006-03-07 13:28:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.